Package Gnumed :: Package timelinelib :: Package calendar :: Package gregorian :: Module timetype :: Class DurationType |
[frames] | no frames]

# Class DurationType

source code

    object --+
             |
            DurationType

Instance Methods
__init__(self, name, single_name, value_fn, remainder_fn) x.__init__(...) initializes x; see help(type(x)) for signature | source code
name(self) | source code
single_name(self) | source code
value_fn(self) | source code
remainder_fn(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, name, single_name, value_fn, remainder_fn) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### name(self) | source code
Decorators: `@property`

### single_name(self) | source code
Decorators: `@property`

### value_fn(self) | source code
Decorators: `@property`

### remainder_fn(self) | source code
Decorators: `@property`